<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/

class User_Form_Verification_Send extends Engine_Form {

  public function init() {
  
    $this->setTitle('Request Verification');
    $this->setDescription("Are you sure you want to request for verification of your profile? Also, include a message to support your verification request.");
    $this->setAttrib('id', 'user_form_sendverificationrequest');
    
    $this->addElement('Textarea', 'message', array(
      'label' => 'Message (optional):',
      'maxlength' => 255,
      'filters' => array(
        new Engine_Filter_Censor(),
        'StripTags',
        new Engine_Filter_StringLength(array('max' => '255'))
      ),
      'allowEmpty' => true,
      'required' => false,
    ));

    $this->addElement('Button', 'submit', array(
        'label' => 'Yes',
        'type' => 'submit',
        'ignore' => true,
        'decorators' => array('ViewHelper')
    ));

    $this->addElement('Cancel', 'cancel', array(
        'label' => 'Cancel',
        'link' => true,
        'prependText' => ' or ',
        'onclick' => 'javascript:parent.Smoothbox.close()',
        'decorators' => array(
            'ViewHelper',
        ),
    ));
    $this->addDisplayGroup(array('submit', 'cancel'), 'buttons');
  }
}
